version: '3'
services:

  namingserver:
    image: eurekanamingserver
    container_name: namingserver
    ports:
      - "8761:8761"
  gateway:
    image: apigateway
    container_name: apigateway
    ports:
      - "8990:8990"
    depends_on:
      - namingserver
  forex:
    image: forex-service
    container_name: forex-service
    ports:
      - "8000:8000"
    depends_on:
      - namingserver
  conversion:
    image: currency-conversion
    container_name: currency-conversion
    ports:
      - "8110:8110"
    depends_on:
      - namingserver
      - forex